> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Retrieves the list of users for the account



## OpenAPI

````yaml get /v2/Account/Users
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v2/Account/Users:
    get:
      tags:
        - Account
      summary: Get Users
      description: Retrieves the list of users for the account
      responses:
        '200':
          description: users list
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserListViewApi'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserListViewApi'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/UserListViewApi'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    UserListViewApi:
      type: object
      properties:
        email:
          type: string
          description: The user's email address.
          nullable: true
        roleId:
          type: string
          description: >-
            The identifier of the role assigned to the user (used for
            permissions).
          nullable: true
        roleName:
          type: string
          description: The name of the role assigned to the user.
          nullable: true
        createdAt:
          type: string
          description: The date and time when the user was added to the account.
          format: date-time
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````